import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:qyuota/config/colors.dart';
import 'package:qyuota/config/images.dart';
import 'package:qyuota/view/profile/receipt_screen.dart';
import 'package:qyuota/view/profile/transaction_screen.dart';
import 'package:qyuota/widget/custom_button.dart';

class TopupScreen extends StatefulWidget {
  const TopupScreen({Key? key}) : super(key: key);

  @override
  State<TopupScreen> createState() => _TopupScreenState();
}

class _TopupScreenState extends State<TopupScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        children: [
          Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Padding(
                padding: const EdgeInsets.only(left: 20, right: 20),
                child: Container(
                  height: Get.height / 2,
                  decoration: const BoxDecoration(
                    image: DecorationImage(
                      image: AssetImage(
                        DefaultImages.p16,
                      ),
                    ),
                  ),
                ),
              ),
            ],
          ),
          Padding(
            padding: const EdgeInsets.only(left: 20, right: 20, bottom: 20),
            child: Column(
              mainAxisAlignment: MainAxisAlignment.end,
              children: [
                CustomButton(
                  text: "View Receipt",
                  color: Colors.transparent,
                  onTap: () {
                    Get.to(
                      const ReceiptScreen(),
                      transition: Transition.rightToLeft,
                    );
                  },
                  textColor: ConstColors.skyColor,
                ),
                const SizedBox(height: 15),
                CustomButton(
                  text: "Awesome",
                  color: ConstColors.skyColor,
                  onTap: () {
                    Get.to(
                      const TransactionScreen(),
                      transition: Transition.rightToLeft,
                    );
                  },
                ),
              ],
            ),
          ),
          Padding(
            padding: const EdgeInsets.only(top: 100),
            child: Align(
              alignment: Alignment.topCenter,
              child: SizedBox(
                height: 185,
                width: 185,
                child: Image.asset(
                  DefaultImages.p18,
                  fit: BoxFit.fill,
                ),
              ),
            ),
          )
        ],
      ),
    );
  }
}
